package com.kingdee.eas.custom.beisenconfig;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class BSViewConfigFactory
{
    private BSViewConfigFactory()
    {
    }
    public static com.kingdee.eas.custom.beisenconfig.IBSViewConfig getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.beisenconfig.IBSViewConfig)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("0BF5C183") ,com.kingdee.eas.custom.beisenconfig.IBSViewConfig.class);
    }
    
    public static com.kingdee.eas.custom.beisenconfig.IBSViewConfig getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.beisenconfig.IBSViewConfig)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("0BF5C183") ,com.kingdee.eas.custom.beisenconfig.IBSViewConfig.class, objectCtx);
    }
    public static com.kingdee.eas.custom.beisenconfig.IBSViewConfig getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.beisenconfig.IBSViewConfig)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("0BF5C183"));
    }
    public static com.kingdee.eas.custom.beisenconfig.IBSViewConfig getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.beisenconfig.IBSViewConfig)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("0BF5C183"));
    }
}